source: squid-ssl/trunk/fuentes/src/repl/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/repl/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/repl
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LIBRARIES = $(noinst_LIBRARIES)
161ARFLAGS = cru
162AM_V_AR = $(am__v_AR_$(V))
163am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
164am__v_AR_0 = @echo "  AR      " $@;
165am__v_AR_1 = 
166libheap_a_AR = $(AR) $(ARFLAGS)
167libheap_a_LIBADD =
168am__dirstamp = $(am__leading_dot)dirstamp
169am_libheap_a_OBJECTS = heap/store_heap_replacement.$(OBJEXT) \
170        heap/store_repl_heap.$(OBJEXT)
171libheap_a_OBJECTS = $(am_libheap_a_OBJECTS)
172liblru_a_AR = $(AR) $(ARFLAGS)
173liblru_a_LIBADD =
174am_liblru_a_OBJECTS = lru/store_repl_lru.$(OBJEXT)
175liblru_a_OBJECTS = $(am_liblru_a_OBJECTS)
176AM_V_P = $(am__v_P_$(V))
177am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_$(V))
181am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 = 
184AM_V_at = $(am__v_at_$(V))
185am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
186am__v_at_0 = @
187am__v_at_1 = 
188DEFAULT_INCLUDES = 
189depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
190am__depfiles_maybe = depfiles
191am__mv = mv -f
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_lt = $(am__v_lt_$(V))
195am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
196am__v_lt_0 = --silent
197am__v_lt_1 = 
198LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
200        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
201        $(AM_CXXFLAGS) $(CXXFLAGS)
202AM_V_CXX = $(am__v_CXX_$(V))
203am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
204am__v_CXX_0 = @echo "  CXX     " $@;
205am__v_CXX_1 = 
206CXXLD = $(CXX)
207CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
209        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
210AM_V_CXXLD = $(am__v_CXXLD_$(V))
211am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
212am__v_CXXLD_0 = @echo "  CXXLD   " $@;
213am__v_CXXLD_1 = 
214COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CFLAGS) $(CFLAGS)
220AM_V_CC = $(am__v_CC_$(V))
221am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
222am__v_CC_0 = @echo "  CC      " $@;
223am__v_CC_1 = 
224CCLD = $(CC)
225LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227        $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CCLD = $(am__v_CCLD_$(V))
229am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
230am__v_CCLD_0 = @echo "  CCLD    " $@;
231am__v_CCLD_1 = 
232SOURCES = $(libheap_a_SOURCES) $(liblru_a_SOURCES)
233DIST_SOURCES = $(libheap_a_SOURCES) $(liblru_a_SOURCES)
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red='[0;31m'; \
272    grn='[0;32m'; \
273    lgn='[1;32m'; \
274    blu='[1;34m'; \
275    mgn='[0;35m'; \
276    brg='[1m'; \
277    std='[m'; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[     ]*:recheck:[    ]*
308am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
309am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320            recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[        ]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);                                      \
404$(am__vpath_adj_setup) $(am__vpath_adj)                 \
405$(am__tty_colors);                                      \
406srcdir=$(srcdir); export srcdir;                        \
407case "$@" in                                            \
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
409    *) am__odir=.;;                                     \
410esac;                                                   \
411test "x$$am__odir" = x"." || test -d "$$am__odir"       \
412  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
413if test -f "./$$f"; then dir=./;                        \
414elif test -f "$$f"; then dir=;                          \
415else dir="$(srcdir)/"; fi;                              \
416tst=$$dir$$f; log='$@';                                 \
417if test -n '$(DISABLE_HARD_ERRORS)'; then               \
418  am__enable_hard_errors=no;                            \
419else                                                    \
420  am__enable_hard_errors=yes;                           \
421fi;                                                     \
422case " $(XFAIL_TESTS) " in                              \
423  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
424    am__expect_failure=yes;;                            \
425  *)                                                    \
426    am__expect_failure=no;;                             \
427esac;                                                   \
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443TEST_EXTENSIONS =  .test
444LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
445LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
446am__set_b = \
447  case '$@' in \
448    */*) \
449      case '$*' in \
450        */*) b='$*';; \
451          *) b=`echo '$@' | sed 's/\.log$$//'`; \
452       esac;; \
453    *) \
454      b='$*';; \
455  esac
456am__test_logs1 = $(TESTS:=.log)
457am__test_logs2 = $(am__test_logs1:.log=.log)
458TEST_LOGS = $(am__test_logs2:.test.log=.log)
459TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
460TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
461        $(TEST_LOG_FLAGS)
462am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
463        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
464DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
465ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
466ADAPTATION_LIBS = adaptation/libadaptation.la
467ALLOCA =
468AMTAR = $${TAR-tar}
469AM_DEFAULT_VERBOSITY = 1
470AR = /usr/bin/ar
471AR_R = /usr/bin/ar r
472AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
473AUTH_MODULES =  basic digest negotiate ntlm
474AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
475AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
476AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
477AWK = gawk
478BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
479BUILDCXX = g++
480BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
481BZR =
482CACHE_EFFECTIVE_USER = proxy
483CC = gcc
484CCDEPMODE = depmode=none
485CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
486CGIEXT = .cgi
487CHMOD = /bin/chmod
488CPP = gcc -E
489CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
490CPPUNITCONFIG = /usr/bin/cppunit-config
491CRYPTLIB = -lcrypt
492CXX = g++
493CXXCPP = g++ -E
494CXXDEPMODE = depmode=none
495CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
496CYGPATH_W = echo
497DEFAULT_HOSTS = /etc/hosts
498DEFAULT_LOG_DIR = /var/log/squid-ssl
499DEFAULT_PID_FILE = /var/run/squid-ssl.pid
500DEFAULT_SWAP_DIR = /var/spool/squid-ssl
501DEFS = -DHAVE_CONFIG_H
502DEPDIR = .deps
503DIGEST_AUTH_HELPERS =  file LDAP
504DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
505DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
506DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
507DISK_OS_LIBS =  -lrt -lpthread
508DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
509DLLTOOL = false
510DSYMUTIL =
511DUMPBIN =
512ECAP_LIBS = ecap/libsquid-ecap.la
513ECHO_C =
514ECHO_N = -n
515ECHO_T =
516EGREP = /bin/egrep
517EPOLL_LIBS =
518EUILIB =
519EXEEXT =
520EXPATLIB = -lexpat
521EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
522EXT_LIBECAP_CFLAGS =
523EXT_LIBECAP_LIBS = -lecap
524FALSE = /bin/false
525FGREP = /bin/fgrep
526GREP = grep
527HAVE_CXX11 = 1
528ICAP_LIBS = icap/libicap.la
529INCLTDL =
530INSTALL = /usr/bin/install -c
531INSTALL_DATA = ${INSTALL} -m 644
532INSTALL_PROGRAM = ${INSTALL}
533INSTALL_SCRIPT = ${INSTALL}
534INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
535KRB5INCS = -isystem /usr/include/mit-krb5
536KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
537LBERLIB = -llber
538LD = /usr/bin/ld -m elf_x86_64
539LDAPLIB = -lldap
540LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
541LIBADD_DL = -ldl
542LIBADD_DLD_LINK =
543LIBADD_DLOPEN = -ldl
544LIBADD_SHL_LOAD =
545LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
546LIBGNUTLS_LIBS = -lgnutls
547LIBLTDL = -lltdl
548LIBOBJS =
549LIBOPENSSL_CFLAGS =
550LIBOPENSSL_LIBS = -lssl -lcrypto
551LIBS =
552LIBSASL = -lsasl2
553LIBTOOL = $(SHELL) $(top_builddir)/libtool
554LIB_DB = -ldb
555LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
556LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
557LINUXDOC = /bin/false
558LIPO =
559LN = /bin/ln
560LN_S = ln -s
561LOG_DAEMON_HELPERS =  DB file
562LTDLDEPS =
563LTDLINCL =
564LTDLOPEN = libltdl
565LTLIBOBJS =
566LT_ARGZ_H =
567LT_CONFIG_H = include/autoconf.h
568LT_DLLOADERS =  libltdl/dlopen.la
569LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
570LT_SYS_LIBRARY_PATH =
571MAINT = #
572MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
573MANIFEST_TOOL = :
574MINGW_LIBS =
575MKDIR = /bin/mkdir
576MKDIR_P = /bin/mkdir -p
577MV = /bin/mv
578NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
579NETTLELIB =  -lnettle
580NM = /usr/bin/nm -B
581NMEDIT =
582NTLM_AUTH_HELPERS =  fake smb_lm
583OBJDUMP = objdump
584OBJEXT = o
585OTOOL =
586OTOOL64 =
587PACKAGE = squid
588PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
589PACKAGE_NAME = Squid Web Proxy
590PACKAGE_STRING = Squid Web Proxy 3.5.12
591PACKAGE_TARNAME = squid
592PACKAGE_URL =
593PACKAGE_VERSION = 3.5.12
594PATH_SEPARATOR = :
595PERL = /usr/bin/perl
596PKG_CONFIG = /usr/bin/pkg-config
597PKG_CONFIG_LIBDIR =
598PKG_CONFIG_PATH =
599PO2HTML = off
600PO2TEXT = off
601POD2MAN = /usr/bin/pod2man
602RANLIB = ranlib
603REGEXLIB =
604REPL_LIBS = liblru.a libheap.a
605REPL_OBJS = repl/liblru.a repl/libheap.a
606REPL_POLICIES = lru heap
607RM = /bin/rm -f
608SED = /bin/sed
609SET_MAKE =
610SH = /bin/sh
611SHELL = /bin/bash
612SMBCLIENT = /usr/bin/smbclient
613SNMPLIB = ../lib/snmplib/libsnmplib.la
614SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
615SQUID_CPPUNIT_INC =
616SQUID_CPPUNIT_LA =
617SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
618SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
619SSLLIB =  -lssl -lcrypto  -lgnutls
620STOREID_REWRITE_HELPERS =  file
621STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
622STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
623STORE_TESTS =
624STRIP = strip
625TR = /usr/bin/tr
626TRUE = /bin/true
627URL_REWRITE_HELPERS =  fake
628VERSION = 3.5.12
629WBINFO =
630WIN32_PSAPI =
631XMLLIB = -lxml2
632XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
633XTRA_OBJS =
634abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/repl
635abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/repl
636abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
637abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
638ac_ct_AR =
639ac_ct_CC = gcc
640ac_ct_CXX = g++
641ac_ct_DUMPBIN =
642am__include = include
643am__leading_dot = .
644am__quote =
645am__tar = tar --format=ustar -chf - "$$tardir"
646am__untar = tar -xf -
647bindir = ${exec_prefix}/bin
648build = x86_64-pc-linux-gnu
649build_alias = x86_64-linux-gnu
650build_cpu = x86_64
651build_os = linux-gnu
652build_vendor = pc
653builddir = .
654datadir = /usr/share/squid-ssl
655datarootdir = ${prefix}/share
656docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
657dvidir = ${docdir}
658exec_prefix = ${prefix}
659host = x86_64-pc-linux-gnu
660host_alias =
661host_cpu = x86_64
662host_os = linux-gnu
663host_vendor = pc
664htmldir = ${docdir}
665includedir = ${prefix}/include
666infodir = ${prefix}/share/info
667install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
668krb5_config =
669libdir = ${exec_prefix}/lib
670libexecdir = /usr/lib/squid-ssl
671localedir = ${datarootdir}/locale
672localstatedir = /var
673ltdl_LIBOBJS =  lt__strl.o
674ltdl_LTLIBOBJS =  lt__strl.lo
675mandir = /usr/share/man
676mkdir_p = $(MKDIR_P)
677oldincludedir = /usr/include
678pdfdir = ${docdir}
679prefix = /usr
680program_transform_name = s&$$&-ssl&
681psdir = ${docdir}
682runstatedir = ${localstatedir}/run
683sbindir = ${exec_prefix}/sbin
684sharedstatedir = ${prefix}/com
685srcdir = .
686subdirs =  libltdl
687sys_symbol_underscore = no
688sysconfdir = /etc/squid-ssl
689target_alias =
690top_build_prefix = ../../
691top_builddir = ../..
692top_srcdir = ../..
693AM_CFLAGS = $(SQUID_CFLAGS)
694AM_CXXFLAGS = $(SQUID_CXXFLAGS)
695CLEANFILES = testHeaders
696TESTS = testHeaders
697AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
698        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
699        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
700        $(am__append_1) -I$(srcdir)
701LIBPROFILER =
702#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
703COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
704subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
705
706# No recursion is needed for the subdirs, we build from here.
707EXTRA_LIBRARIES = liblru.a libheap.a
708noinst_LIBRARIES = $(REPL_LIBS)
709liblru_a_SOURCES = lru/store_repl_lru.cc
710libheap_a_SOURCES = heap/store_heap_replacement.h heap/store_heap_replacement.cc heap/store_repl_heap.cc
711all: all-am
712
713.SUFFIXES:
714.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
715$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
716        @for dep in $?; do \
717          case '$(am__configure_deps)' in \
718            *$$dep*) \
719              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
720                && { if test -f $@; then exit 0; else break; fi; }; \
721              exit 1;; \
722          esac; \
723        done; \
724        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/repl/Makefile'; \
725        $(am__cd) $(top_srcdir) && \
726          $(AUTOMAKE) --gnu src/repl/Makefile
727Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
728        @case '$?' in \
729          *config.status*) \
730            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
731          *) \
732            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
733            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
734        esac;
735$(top_srcdir)/src/Common.am $(am__empty):
736
737$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
738        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
739
740$(top_srcdir)/configure: # $(am__configure_deps)
741        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
743        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744$(am__aclocal_m4_deps):
745
746clean-noinstLIBRARIES:
747        -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
748heap/$(am__dirstamp):
749        @$(MKDIR_P) heap
750        @: > heap/$(am__dirstamp)
751heap/$(DEPDIR)/$(am__dirstamp):
752        @$(MKDIR_P) heap/$(DEPDIR)
753        @: > heap/$(DEPDIR)/$(am__dirstamp)
754heap/store_heap_replacement.$(OBJEXT): heap/$(am__dirstamp) \
755        heap/$(DEPDIR)/$(am__dirstamp)
756heap/store_repl_heap.$(OBJEXT): heap/$(am__dirstamp) \
757        heap/$(DEPDIR)/$(am__dirstamp)
758
759libheap.a: $(libheap_a_OBJECTS) $(libheap_a_DEPENDENCIES) $(EXTRA_libheap_a_DEPENDENCIES)
760        $(AM_V_at)-rm -f libheap.a
761        $(AM_V_AR)$(libheap_a_AR) libheap.a $(libheap_a_OBJECTS) $(libheap_a_LIBADD)
762        $(AM_V_at)$(RANLIB) libheap.a
763lru/$(am__dirstamp):
764        @$(MKDIR_P) lru
765        @: > lru/$(am__dirstamp)
766lru/$(DEPDIR)/$(am__dirstamp):
767        @$(MKDIR_P) lru/$(DEPDIR)
768        @: > lru/$(DEPDIR)/$(am__dirstamp)
769lru/store_repl_lru.$(OBJEXT): lru/$(am__dirstamp) \
770        lru/$(DEPDIR)/$(am__dirstamp)
771
772liblru.a: $(liblru_a_OBJECTS) $(liblru_a_DEPENDENCIES) $(EXTRA_liblru_a_DEPENDENCIES)
773        $(AM_V_at)-rm -f liblru.a
774        $(AM_V_AR)$(liblru_a_AR) liblru.a $(liblru_a_OBJECTS) $(liblru_a_LIBADD)
775        $(AM_V_at)$(RANLIB) liblru.a
776
777clean-checkPROGRAMS:
778        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
779        echo " rm -f" $$list; \
780        rm -f $$list || exit $$?; \
781        test -n "$(EXEEXT)" || exit 0; \
782        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
783        echo " rm -f" $$list; \
784        rm -f $$list
785
786mostlyclean-compile:
787        -rm -f *.$(OBJEXT)
788        -rm -f heap/*.$(OBJEXT)
789        -rm -f lru/*.$(OBJEXT)
790
791distclean-compile:
792        -rm -f *.tab.c
793
794#include heap/$(DEPDIR)/store_heap_replacement.Po
795#include heap/$(DEPDIR)/store_repl_heap.Po
796#include lru/$(DEPDIR)/store_repl_lru.Po
797
798.cc.o:
799#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
800#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
801#       $(am__mv) $$depbase.Tpo $$depbase.Po
802#       $(AM_V_CXX)source='$<' object='$@' libtool=no
803#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
804        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
805
806.cc.obj:
807#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
808#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
809#       $(am__mv) $$depbase.Tpo $$depbase.Po
810#       $(AM_V_CXX)source='$<' object='$@' libtool=no
811#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
812        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
813
814.cc.lo:
815#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
816#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
817#       $(am__mv) $$depbase.Tpo $$depbase.Plo
818#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
819#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
820        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
821
822mostlyclean-libtool:
823        -rm -f *.lo
824
825clean-libtool:
826        -rm -rf .libs _libs
827
828ID: $(am__tagged_files)
829        $(am__define_uniq_tagged_files); mkid -fID $$unique
830tags: tags-am
831TAGS: tags
832
833tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
834        set x; \
835        here=`pwd`; \
836        $(am__define_uniq_tagged_files); \
837        shift; \
838        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
839          test -n "$$unique" || unique=$$empty_fix; \
840          if test $$# -gt 0; then \
841            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842              "$$@" $$unique; \
843          else \
844            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
845              $$unique; \
846          fi; \
847        fi
848ctags: ctags-am
849
850CTAGS: ctags
851ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
852        $(am__define_uniq_tagged_files); \
853        test -z "$(CTAGS_ARGS)$$unique" \
854          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
855             $$unique
856
857GTAGS:
858        here=`$(am__cd) $(top_builddir) && pwd` \
859          && $(am__cd) $(top_srcdir) \
860          && gtags -i $(GTAGS_ARGS) "$$here"
861cscopelist: cscopelist-am
862
863cscopelist-am: $(am__tagged_files)
864        list='$(am__tagged_files)'; \
865        case "$(srcdir)" in \
866          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
867          *) sdir=$(subdir)/$(srcdir) ;; \
868        esac; \
869        for i in $$list; do \
870          if test -f "$$i"; then \
871            echo "$(subdir)/$$i"; \
872          else \
873            echo "$$sdir/$$i"; \
874          fi; \
875        done >> $(top_builddir)/cscope.files
876
877distclean-tags:
878        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
879
880# Recover from deleted '.trs' file; this should ensure that
881# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
882# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
883# to avoid problems with "make -n".
884.log.trs:
885        rm -f $< $@
886        $(MAKE) $(AM_MAKEFLAGS) $<
887
888# Leading 'am--fnord' is there to ensure the list of targets does not
889# expand to empty, as could happen e.g. with make check TESTS=''.
890am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
891am--force-recheck:
892        @:
893
894$(TEST_SUITE_LOG): $(TEST_LOGS)
895        @$(am__set_TESTS_bases); \
896        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
897        redo_bases=`for i in $$bases; do \
898                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
899                    done`; \
900        if test -n "$$redo_bases"; then \
901          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
902          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
903          if $(am__make_dryrun); then :; else \
904            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
905          fi; \
906        fi; \
907        if test -n "$$am__remaking_logs"; then \
908          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
909               "recursion detected" >&2; \
910        elif test -n "$$redo_logs"; then \
911          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
912        fi; \
913        if $(am__make_dryrun); then :; else \
914          st=0;  \
915          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
916          for i in $$redo_bases; do \
917            test -f $$i.trs && test -r $$i.trs \
918              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
919            test -f $$i.log && test -r $$i.log \
920              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
921          done; \
922          test $$st -eq 0 || exit 1; \
923        fi
924        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
925        ws='[   ]'; \
926        results=`for b in $$bases; do echo $$b.trs; done`; \
927        test -n "$$results" || results=/dev/null; \
928        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
929        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
930        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
931        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
932        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
933        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
934        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
935        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
936          success=true; \
937        else \
938          success=false; \
939        fi; \
940        br='==================='; br=$$br$$br$$br$$br; \
941        result_count () \
942        { \
943            if test x"$$1" = x"--maybe-color"; then \
944              maybe_colorize=yes; \
945            elif test x"$$1" = x"--no-color"; then \
946              maybe_colorize=no; \
947            else \
948              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
949            fi; \
950            shift; \
951            desc=$$1 count=$$2; \
952            if test $$maybe_colorize = yes && test $$count -gt 0; then \
953              color_start=$$3 color_end=$$std; \
954            else \
955              color_start= color_end=; \
956            fi; \
957            echo "$${color_start}# $$desc $$count$${color_end}"; \
958        }; \
959        create_testsuite_report () \
960        { \
961          result_count $$1 "TOTAL:" $$all   "$$brg"; \
962          result_count $$1 "PASS: " $$pass  "$$grn"; \
963          result_count $$1 "SKIP: " $$skip  "$$blu"; \
964          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
965          result_count $$1 "FAIL: " $$fail  "$$red"; \
966          result_count $$1 "XPASS:" $$xpass "$$red"; \
967          result_count $$1 "ERROR:" $$error "$$mgn"; \
968        }; \
969        {                                                               \
970          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
971            $(am__rst_title);                                           \
972          create_testsuite_report --no-color;                           \
973          echo;                                                         \
974          echo ".. contents:: :depth: 2";                               \
975          echo;                                                         \
976          for b in $$bases; do echo $$b; done                           \
977            | $(am__create_global_log);                                 \
978        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
979        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
980        if $$success; then                                              \
981          col="$$grn";                                                  \
982         else                                                           \
983          col="$$red";                                                  \
984          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
985        fi;                                                             \
986        echo "$${col}$$br$${std}";                                      \
987        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
988        echo "$${col}$$br$${std}";                                      \
989        create_testsuite_report --maybe-color;                          \
990        echo "$$col$$br$$std";                                          \
991        if $$success; then :; else                                      \
992          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
993          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
994            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
995          fi;                                                           \
996          echo "$$col$$br$$std";                                        \
997        fi;                                                             \
998        $$success || exit 1
999
1000check-TESTS:
1001        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1002        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1003        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1004        @set +e; $(am__set_TESTS_bases); \
1005        log_list=`for i in $$bases; do echo $$i.log; done`; \
1006        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1007        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1008        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1009        exit $$?;
1010recheck: all $(check_PROGRAMS)
1011        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1012        @set +e; $(am__set_TESTS_bases); \
1013        bases=`for i in $$bases; do echo $$i; done \
1014                 | $(am__list_recheck_tests)` || exit 1; \
1015        log_list=`for i in $$bases; do echo $$i.log; done`; \
1016        log_list=`echo $$log_list`; \
1017        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1018                am__force_recheck=am--force-recheck \
1019                TEST_LOGS="$$log_list"; \
1020        exit $$?
1021testHeaders.log: testHeaders
1022        @p='testHeaders'; \
1023        b='testHeaders'; \
1024        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1025        --log-file $$b.log --trs-file $$b.trs \
1026        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1027        "$$tst" $(AM_TESTS_FD_REDIRECT)
1028.test.log:
1029        @p='$<'; \
1030        $(am__set_b); \
1031        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1032        --log-file $$b.log --trs-file $$b.trs \
1033        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1034        "$$tst" $(AM_TESTS_FD_REDIRECT)
1035#.test$(EXEEXT).log:
1036#       @p='$<'; \
1037#       $(am__set_b); \
1038#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1039#       --log-file $$b.log --trs-file $$b.trs \
1040#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1041#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1042
1043distdir: $(DISTFILES)
1044        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046        list='$(DISTFILES)'; \
1047          dist_files=`for file in $$list; do echo $$file; done | \
1048          sed -e "s|^$$srcdirstrip/||;t" \
1049              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1050        case $$dist_files in \
1051          */*) $(MKDIR_P) `echo "$$dist_files" | \
1052                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1053                           sort -u` ;; \
1054        esac; \
1055        for file in $$dist_files; do \
1056          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1057          if test -d $$d/$$file; then \
1058            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1059            if test -d "$(distdir)/$$file"; then \
1060              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061            fi; \
1062            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1063              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1064              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1065            fi; \
1066            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1067          else \
1068            test -f "$(distdir)/$$file" \
1069            || cp -p $$d/$$file "$(distdir)/$$file" \
1070            || exit 1; \
1071          fi; \
1072        done
1073check-am: all-am
1074        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1075        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1076check: check-am
1077all-am: Makefile $(LIBRARIES)
1078installdirs:
1079install: install-am
1080install-exec: install-exec-am
1081install-data: install-data-am
1082uninstall: uninstall-am
1083
1084install-am: all-am
1085        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1086
1087installcheck: installcheck-am
1088install-strip:
1089        if test -z '$(STRIP)'; then \
1090          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1091            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1092              install; \
1093        else \
1094          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1095            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1096            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1097        fi
1098mostlyclean-generic:
1099        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1100        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1101        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1102
1103clean-generic:
1104        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1105
1106distclean-generic:
1107        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1108        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1109        -rm -f heap/$(DEPDIR)/$(am__dirstamp)
1110        -rm -f heap/$(am__dirstamp)
1111        -rm -f lru/$(DEPDIR)/$(am__dirstamp)
1112        -rm -f lru/$(am__dirstamp)
1113
1114maintainer-clean-generic:
1115        @echo "This command is intended for maintainers to use"
1116        @echo "it deletes files that may require special tools to rebuild."
1117clean: clean-am
1118
1119clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1120        clean-noinstLIBRARIES mostlyclean-am
1121
1122distclean: distclean-am
1123        -rm -rf heap/$(DEPDIR) lru/$(DEPDIR)
1124        -rm -f Makefile
1125distclean-am: clean-am distclean-compile distclean-generic \
1126        distclean-tags
1127
1128dvi: dvi-am
1129
1130dvi-am:
1131
1132html: html-am
1133
1134html-am:
1135
1136info: info-am
1137
1138info-am:
1139
1140install-data-am:
1141
1142install-dvi: install-dvi-am
1143
1144install-dvi-am:
1145
1146install-exec-am:
1147
1148install-html: install-html-am
1149
1150install-html-am:
1151
1152install-info: install-info-am
1153
1154install-info-am:
1155
1156install-man:
1157
1158install-pdf: install-pdf-am
1159
1160install-pdf-am:
1161
1162install-ps: install-ps-am
1163
1164install-ps-am:
1165
1166installcheck-am:
1167
1168maintainer-clean: maintainer-clean-am
1169        -rm -rf heap/$(DEPDIR) lru/$(DEPDIR)
1170        -rm -f Makefile
1171maintainer-clean-am: distclean-am maintainer-clean-generic
1172
1173mostlyclean: mostlyclean-am
1174
1175mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1176        mostlyclean-libtool
1177
1178pdf: pdf-am
1179
1180pdf-am:
1181
1182ps: ps-am
1183
1184ps-am:
1185
1186uninstall-am:
1187
1188.MAKE: check-am install-am install-strip
1189
1190.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1191        clean-checkPROGRAMS clean-generic clean-libtool \
1192        clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1193        distclean-compile distclean-generic distclean-libtool \
1194        distclean-tags distdir dvi dvi-am html html-am info info-am \
1195        install install-am install-data install-data-am install-dvi \
1196        install-dvi-am install-exec install-exec-am install-html \
1197        install-html-am install-info install-info-am install-man \
1198        install-pdf install-pdf-am install-ps install-ps-am \
1199        install-strip installcheck installcheck-am installdirs \
1200        maintainer-clean maintainer-clean-generic mostlyclean \
1201        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1202        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1203        uninstall-am
1204
1205.PRECIOUS: Makefile
1206
1207
1208$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1209
1210testHeaders: $(srcdir)/heap/*.h
1211        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1212.PHONY: testHeaders
1213
1214# Tell versions [3.59,3.63) of GNU make to not export all variables.
1215# Otherwise a system limit (for SysV at least) may be exceeded.
1216.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.